Download & Install


TomcatXT plugin requires:

  • Eclipse >= 3.2
  • You should launch Eclipse using JDK >= 1.5

    Starting from version 2.0.0 this plugin does not require Sysdeo Tomcat plugin any longer.

Manual Installation

This project is hosted by Sourceforge and it can be found at

Download the plug-in and copy it to your "$ECLIPSE_HOME/plugins" or "$ECLIPSE_HOME/dropins" folder.

Please, see the features page for more info on the current version.

Installation Using Eclipse Market Place

If you have Eclipse 3.7 you can drag the Install icon below the left menu into your workspace to install Tomcat-XT.

Installation Using the Update Site

  • Select Help > Install New Software. This should display the "Install" dialog.
  • Paste the Update Site URL (http:// into the field named "Work with:" and press Enter. Pressing Enter should cause Eclipse to update list of available plugins and components.
  • Choose the component listed under "uqbar-tomcat-xt".
  • Click Next. Eclipse will then check to see if there are any issues which would prevent a successful installation.
  • Click Next and agree to the terms of the license.
  • Click Finish to begin the installation process. Eclipse will then download and install the necessary components.
  • Once the installation process is finished, Eclipse will ask you if you want to restart the IDE. It is strongly recommends that you restart your IDE after installing a plugin.